## org.apache.mahout.ga.watchmaker.cd.tool
Class CDInfosTool

    java.lang.Object
      org.apache.mahout.ga.watchmaker.cd.tool.CDInfosTool

    public final class CDInfosTool

extends Object

Gathers additional information about a given dataset. Takes a descriptor about the attributes, and generates a description for each one.

Method Summary
`static void` `gatherInfos(Descriptors descriptors, org.apache.hadoop.fs.Path inpath, org.apache.hadoop.fs.Path output, Collection<String> descriptions)` Uses Mahout to gather the information about a dataset.
`static void` `main(String[] args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### gatherInfos

    public static void gatherInfos(Descriptors descriptors,
                                   org.apache.hadoop.fs.Path inpath,
                                   org.apache.hadoop.fs.Path output,
                                   Collection<String> descriptions)
                            throws IOException,
                                   InterruptedException,
                                   ClassNotFoundException

  Uses Mahout to gather the information about a dataset.

  Parameters:
    `descriptors` - about the available attributes
    `inpath` - input path (the dataset)
    `descriptions` - `List<String>` that contains the generated descriptions for each non ignored attribute
  Throws:
    `IOException`
    `InterruptedException`
    `ClassNotFoundException`

### main

    public static void main(String[] args)
                     throws IOException,
                            InterruptedException,
                            ClassNotFoundException

  Throws:
    `IOException`
    `InterruptedException`
    `ClassNotFoundException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.